The Open Group Base Specifications Issue 6
IEEE Std 1003.1, 2004 Edition
Copyright © 2001-2004 The IEEE and The Open Group, All Rights reserved.

#### NAME

> ptsname - get name of the slave pseudo-terminal device

#### SYNOPSIS

> ``[XSI] #include <stdlib.h>
> char *ptsname(int` fildes`);``
> `
> `

#### DESCRIPTION

> The ptsname() function shall return the name of the slave pseudo-terminal device associated with a master pseudo-terminal device. The fildes argument is a file descriptor that refers to the master device. The ptsname() function shall return a pointer to a string containing the pathname of the corresponding slave device.

> The ptsname() function need not be reentrant. A function that is not required to be reentrant is not required to be thread-safe.

#### RETURN VALUE

> Upon successful completion, ptsname() shall return a pointer to a string which is the name of the pseudo-terminal slave device. Upon failure, ptsname() shall return a null pointer. This could occur if fildes is an invalid file descriptor or if the slave device name does not exist in the file system.

#### ERRORS

> No errors are defined.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> The value returned may point to a static data area that is overwritten by each call to ptsname().

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> grantpt(), open(), ttyname(), unlockpt(), the Base Definitions volume of IEEE Std 1003.1-2001, <stdlib.h>

#### CHANGE HISTORY

> First released in Issue 4, Version 2.

#### Issue 5

> Moved from X/OPEN UNIX extension to BASE.

> A note indicating that this function need not be reentrant is added to the DESCRIPTION.

End of informative text.

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
[ Main Index | XBD | XCU | XSH | XRAT ]